AUDIT_NAME_TO_ERRNO(3)

NAME
audit_name_to_errno, audit_errno_to_name - Convert the errno name and the numeric errno value to each other

SYNOPSIS
#include <libaudit.h>

int audit_name_to_errno(const char *error);

const char *audit_errno_to_name(int error);

DESCRIPTION
audit_name_to_errno() converts the errno name ("EPERM", "ENOENT", "ESRCH", etc.) to the numeric errno value (EPERM, ENOENT, ESRCH, etc.). error is the errno name.

audit_errno_to_name() converts the numeric errno value (EPERM, ENOENT, ESRCH, etc.) to the errno name ("EPERM", "ENOENT", "ESRCH", etc.). error is the numeric errno value.

RETURN VALUE
audit_name_to_errno() returns 0 if an error occurs; otherwise, the return value is the numeric errno value.

audit_errno_to_name() returns NULL if an error occurs; otherwise, the return value is the errno name.

AUTHOR
Steve Grubb